Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.controls.ejb.events
Interface EventService

All Superinterfaces:
  weblogic.jws.control.Control, com.bea.control.Control, Serializable

public interface EventService
extends weblogic.jws.control.Control

Event Service remote interface. Pass events to this service to have them handled by registered listeners. Listeners register themselves for this service via the WebLogic management console; classes that implement the EventListener interface may add themselves as listeners using the Configuration tab for the Event Service. Those classes express interest in certain Event types, and when an event of that is dispatched via this service, it is forwarded to the listener.

This control requires that the EventService EJB has been deployed to the application. The EventService EJB is contained in p13n_ejb.jar, and is deployed with every Portal application.

Note that there are specialized event controls available as well (see the controls in com.bea.p13n.controls.events package).

See Also:
  `Event`, `EventListener`, `EventService`

Nested Class Summary

Nested classes inherited from class com.bea.control.Control
`com.bea.control.Control.Callback`

Method Summary
`void` | `dispatchEvent(Event event)` Dispatch an event to the EventService.

Method Detail

### dispatchEvent

    public void dispatchEvent(Event event)
                       throws P13nControlException

  Dispatch an event to the EventService. The Event will be handled by any EventListeners that are registered to handle events of its type.

  Parameters:
    `event` - The Event oject containing relevant data.
  Throws:
    `P13nControlException` - if remote errors occur (from the EJB Container)

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved